local gearT = {
    [-1] = "R",
    [0] = "N",
    [1] = "1",
    [2] = "2",
    [3] = "3",
    [4] = "4",
    [5] = "5",
    [6] = "6",
    [7] = "7",
    [8] = "8"
    
}

local white = rgb(1,1,1)

function update(dt)
    display.text({ text = math.floor(car.speedKmh/1.609344), pos = vec2(512.4, 500.5), letter = vec2(25, 50), font = 'e92_big', color = white, alignment =0.5, width = 251, spacing = 1})
    display.text({ text = string.format("%01.0f", car.distanceDrivenSessionKm/1.609344), pos = vec2(921.1, 442.6), letter = vec2(15, 30), font = 'e92_big', color = white, alignment =.5, width = 251, spacing = .01 })
    display.text({ text = gearT[car.gear], pos = vec2(222.5, 452.9), letter = vec2(30, 60), font = 'e92_big', color = white, alignment =0.5, width = 0, spacing = 1 })
    display.text({ text = string.format("%01d", car.distanceDrivenTotalKm/1.609344), pos = vec2(921.1, 470.6), letter = vec2(15, 30), font = 'e92_big', color = white, alignment =.5, width = 251, spacing = .01 })
    display.text({ text = string.format("%05.1f", car.distanceDrivenSessionKm), pos = vec2(0, 0), letter = vec2(25, 50), font = 'e92_big', color = white, alignment =0.0, width = 0, spacing = 1 })
    display.text({ text = string.format("%02d:%02d", sim.timeHours, sim.timeMinutes), pos = vec2(0, 0), letter = vec2(31, 35), font = 'e92_big', color = white, alignment =0.0, width = 0, spacing = 1 })
    display.text({ text = string.format("%.1f", car.fuel), pos = vec2(0, 0), letter = vec2(25, 50), font = 'e92_big', color = white, alignment =0.0, width = 0, spacing = 1 })
   end



  
   